Loading...
Searching...
No Matches
AVFilmGrainParams Struct Reference

This structure describes how to handle film grain synthesis in video for specific codecs. More...

`#include <libavutil/film_grain_params.h>`

## Data Fields

enum AVFilmGrainParamsType | type
| Specifies the codec for which this structure is valid.
uint64_t | seed
| Seed to use for the synthesis process, if the codec allows for it.
union { |
AVFilmGrainAOMParams aom |
AVFilmGrainH274Params h274 |
} | codec |
| Additional fields may be added both here and in any structure included.
int | width
| Intended display resolution.
int | height
int | subsampling_x
| Intended subsampling ratio, or 0 for luma-only streams.
int | subsampling_y
enum AVColorRange | color_range
| Intended video signal characteristics.
enum AVColorPrimaries | color_primaries
enum AVColorTransferCharacteristic | color_trc
enum AVColorSpace | color_space
int | bit_depth_luma
| Intended bit depth, or 0 for unknown/unspecified.
int | bit_depth_chroma

## Detailed Description

This structure describes how to handle film grain synthesis in video for specific codecs.

Must be present on every frame where film grain is meant to be synthesised for correct presentation.

Note
  The struct must be allocated with av_film_grain_params_alloc() and its size is not a part of the public ABI.

Definition at line 238 of file film_grain_params.h.

## Field Documentation

## type

enum AVFilmGrainParamsType AVFilmGrainParams::type

Specifies the codec for which this structure is valid.

Definition at line 242 of file film_grain_params.h.

## seed

uint64_t AVFilmGrainParams::seed

Seed to use for the synthesis process, if the codec allows for it.

Note
  For H.264, this refers to `pic_offset` as defined in SMPTE RDD 5-2006.

Definition at line 250 of file film_grain_params.h.

## aom

AVFilmGrainAOMParams AVFilmGrainParams::aom

Definition at line 260 of file film_grain_params.h.

## h274

AVFilmGrainH274Params AVFilmGrainParams::h274

Definition at line 261 of file film_grain_params.h.

## [union]

union { ... } AVFilmGrainParams::codec

Additional fields may be added both here and in any structure included.

If a codec's film grain structure differs slightly over another codec's, fields within may change meaning depending on the type.

TODO: Move this to the end of the structure, at the next ABI bump.

## width

int AVFilmGrainParams::width

Intended display resolution.

May be 0 if the codec does not specify any restrictions.

Definition at line 269 of file film_grain_params.h.

## height

int AVFilmGrainParams::height

Definition at line 269 of file film_grain_params.h.

## subsampling_x

int AVFilmGrainParams::subsampling_x

Intended subsampling ratio, or 0 for luma-only streams.

Definition at line 274 of file film_grain_params.h.

## subsampling_y

int AVFilmGrainParams::subsampling_y

Definition at line 274 of file film_grain_params.h.

## color_range

enum AVColorRange AVFilmGrainParams::color_range

Intended video signal characteristics.

Definition at line 279 of file film_grain_params.h.

## color_primaries

enum AVColorPrimaries AVFilmGrainParams::color_primaries

Definition at line 280 of file film_grain_params.h.

## color_trc

enum AVColorTransferCharacteristic AVFilmGrainParams::color_trc

Definition at line 281 of file film_grain_params.h.

## color_space

enum AVColorSpace AVFilmGrainParams::color_space

Definition at line 282 of file film_grain_params.h.

## bit_depth_luma

int AVFilmGrainParams::bit_depth_luma

Intended bit depth, or 0 for unknown/unspecified.

Definition at line 287 of file film_grain_params.h.

## bit_depth_chroma

int AVFilmGrainParams::bit_depth_chroma

Definition at line 288 of file film_grain_params.h.

The documentation for this struct was generated from the following file:

- libavutil/film_grain_params.h